.what-i-do {
  display: grid;
  grid-template-columns: 1fr;
  background-image: url(../images/what-i-do-background-smal.png);
  background-repeat: no-repeat;
  background-size: 100% 478px;

  @media (min-width: 768px) {
    background-size: 100% 991px;
  }

  @media (min-width: 1200px) {
    grid-template-columns: repeat(2, 1fr);
    background-image: url(../images/what-i-do-background.png);
    background-repeat: no-repeat;
    background-size: 50% 100%;
    background-position: left top;
  }
}

.what-i-do__wrap {
  display: grid;
  padding-bottom: 70px;
  gap: 100px;
  justify-items: center;

  @media (max-width: 768px) {
    gap: 40px;
  }

  @media (min-width: 1200px) {
    padding-left: 111px;
    gap: 40px;
    grid-column: 2;
    justify-items: start;
    max-width: 880px;
  }
}

.what-i-do__title {
  color: $main-color;
  font-family: Gilroy-light;
  font-size: clamp(55px, 17vw, 80px);
  margin-top: 498px;
  font-weight: 300;
  text-transform: uppercase;

  @media (min-width: 768px) {
    margin-top: 1030px;
    font-size: clamp(140px, 17vw, 150px);
  }

  @media (min-width: 1200px) {
    margin-top: 70px;
    font-size: clamp(90px, 7.5vw, 150px);
  }
}

.what-i-do__list {
  padding-left: 20px;
  padding-right: 20px;
}

.what-i-do__item {
  list-style: none;
}

.what-i-do__list-title {
  color: $color-black;
  font-family: Gilroy-SemiBold;
  font-size: 44px;
  font-weight: 400;
  line-height: 48px;
  text-transform: uppercase;
  margin-bottom: 10px;

  &--decor-1::before {
    content: '01';
    font-family: Gilroy-Light;
    margin-right: 18px;
  }

  &--decor-2::before {
    content: '02';
    font-family: Gilroy-Light;
    margin-right: 18px;
  }

  &--decor-3::before {
    content: '03';
    font-family: Gilroy-Light;
    margin-right: 18px;
  }

  &--decor-4::before {
    content: '04';
    font-family: Gilroy-Light;
    margin-right: 18px;
  }

  @media (max-width: 767px) {
    font-size: clamp(23px, 7.1vw, 35px);
  }
}

.what-i-do__list-dscr {
  color: $color-black;
  font-family: Inter;
  font-size: 20px;
  font-weight: 400;
  line-height: 28px;
  border-bottom: 1px solid $main-color;
  padding-bottom: 30px;
  margin-bottom: 30px;

  &--decor {
    padding-bottom: 0px;
    margin-bottom: 0px;
    border: none;
  }
}
